aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xmake_slackware_live.sh26
-rw-r--r--pkglists/multilib.lst5
-rw-r--r--pkglists/x_base.lst3
-rw-r--r--pkglists/z00_plasma5supp.lst1
4 files changed, 25 insertions, 10 deletions
diff --git a/make_slackware_live.sh b/make_slackware_live.sh
index 6611e4f..cfe4ca1 100755
--- a/make_slackware_live.sh
+++ b/make_slackware_live.sh
@@ -358,9 +358,10 @@ function cleanup() {
umount ${LIVE_ROOTDIR}/sys 2>${DBGOUT} || true
umount ${LIVE_ROOTDIR}/proc 2>${DBGOUT} || true
umount ${LIVE_ROOTDIR}/dev 2>${DBGOUT} || true
- umount ${LIVE_ROOTDIR} 2>${DBGOUT} || true
+ lsof -l -n -t ${LIVE_ROOTDIR} |xargs -r kill -KILL || true
+ umount -R ${LIVE_ROOTDIR} 2>${DBGOUT} || true
# Need to umount the squashfs modules too:
- umount ${LIVE_WORK}/*_$$ 2>${DBGOUT} || true
+ umount -R ${LIVE_WORK}/*_$$ 2>${DBGOUT} || true
rmdir ${LIVE_ROOTDIR} 2>${DBGOUT}
rmdir ${LIVE_WORK}/*_$$ 2>${DBGOUT}
@@ -1604,7 +1605,7 @@ fi
if [ "$FORCE" = "YES" ]; then
echo "-- Removing old files and directories!"
umount ${LIVE_ROOTDIR}/{proc,sys,dev} 2>${DBGOUT} || true
- umount ${LIVE_ROOTDIR} 2>${DBGOUT} || true
+ umount -R ${LIVE_ROOTDIR} 2>${DBGOUT} || true
rm -rf ${LIVE_STAGING}/${LIVEMAIN} ${LIVE_WORK} ${LIVE_ROOTDIR}
fi
@@ -1708,12 +1709,12 @@ for SPS in ${SL_SERIES} ; do
echo "${THEDATE} (${BUILDER})" > ${INSTDIR}/${MARKER}
echo "-- Installing the '${SPS}' series."
- umount ${LIVE_ROOTDIR} 2>${DBGOUT} || true
+ umount -R ${LIVE_ROOTDIR} 2>${DBGOUT} || true
mount -t overlay -o lowerdir=${RODIRS},upperdir=${INSTDIR},workdir=${LIVE_OVLDIR} overlay ${LIVE_ROOTDIR}
# Install the package series:
install_pkgs ${SPS} ${LIVE_ROOTDIR} ${MTYPE}
- umount ${LIVE_ROOTDIR} || true
+ umount -R ${LIVE_ROOTDIR} || true
if [ "$SPS" = "a" -a "$CORE2RAM" = "NO" ] || [ "$SPS" = "${MINLIST}" ]; then
@@ -1782,7 +1783,7 @@ mkdir -p ${INSTDIR}
echo "-- Configuring the base system."
# -------------------------------------------------------------------------- #
-umount ${LIVE_ROOTDIR} 2>${DBGOUT} || true
+umount -R ${LIVE_ROOTDIR} 2>${DBGOUT} || true
mount -t overlay -o lowerdir=${RODIRS},upperdir=${INSTDIR},workdir=${LIVE_OVLDIR} overlay ${LIVE_ROOTDIR}
# Determine the kernel version in the Live OS:
@@ -3359,6 +3360,10 @@ if [ -x ${LIVE_ROOTDIR}/etc/cron.daily/mlocate ]; then
else
LOCATE_BIN=slocate
fi
+# Mlocate needs a mounted /proc in the chroot:
+if ! mount | grep -q 'on ${LIVE_ROOTDIR}/proc' ; then
+ mount --bind /proc ${LIVE_ROOTDIR}/proc
+fi
chroot ${LIVE_ROOTDIR} /etc/cron.daily/${LOCATE_BIN} 2>${DBGOUT}
# -----------------------------------------------------------------------------
@@ -3366,7 +3371,7 @@ chroot ${LIVE_ROOTDIR} /etc/cron.daily/${LOCATE_BIN} 2>${DBGOUT}
# -----------------------------------------------------------------------------
# Squash the configuration into its own module:
-umount ${LIVE_ROOTDIR} 2>${DBGOUT} || true
+umount -R ${LIVE_ROOTDIR} 2>${DBGOUT} || true
mksquashfs ${INSTDIR} ${LIVE_MOD_SYS}/0099-${DISTRO}_zzzconf-${SL_VERSION}-${SL_ARCH}.sxz -noappend -comp ${SQ_COMP} ${SQ_COMP_PARAMS}
rm -rf ${INSTDIR}/*
@@ -3386,7 +3391,7 @@ unset INSTDIR
# -----------------------------------------------------------------------------
echo "-- Preparing the system for live booting."
-umount ${LIVE_ROOTDIR} 2>${DBGOUT} || true
+umount -R ${LIVE_ROOTDIR} 2>${DBGOUT} || true
mount -t overlay -o lowerdir=${RODIRS%:*},upperdir=${LIVE_BOOT},workdir=${LIVE_OVLDIR} overlay ${LIVE_ROOTDIR}
mount --bind /proc ${LIVE_ROOTDIR}/proc
@@ -3495,8 +3500,11 @@ fi
rm -rf ${LIVE_ROOTDIR}/boot/initrd-tree
# ... and cleanup these mounts again:
+# Also, prevent a 'target is busy' error while unmounting.
+# because gpg-agent/keyboxd/scdaemon were activated and keep the mount open:
+lsof -l -n -t ${LIVE_ROOTDIR} |xargs -r kill -KILL
umount ${LIVE_ROOTDIR}/{proc,sys,dev} || true
-umount ${LIVE_ROOTDIR} || true
+umount -R ${LIVE_ROOTDIR} || true
# Paranoia:
[ ! -z "${LIVE_BOOT}" ] && rm -rf ${LIVE_BOOT}/{etc,tmp,usr,var} 1>${DBGOUT} 2>${DBGOUT}
diff --git a/pkglists/multilib.lst b/pkglists/multilib.lst
index 171377e..be47e72 100644
--- a/pkglists/multilib.lst
+++ b/pkglists/multilib.lst
@@ -36,9 +36,10 @@ xz-compat32
# The AP/ series:
cdparanoia-compat32
cups-compat32
+cups-browsed-compat32
cups-filters-compat32
flac-compat32
-lm_sensors-compat
+lm_sensors-compat32
mariadb-compat32
mpg123-compat32
sqlite-compat32
@@ -115,6 +116,7 @@ libcap-compat32
libcdio-paranoia-compat32
libclc-compat32
libcroco-compat32
+libcupsfilters-compat32
libdbusmenu-compat32
libdeflate-compat32
libdvdnav-compat32
@@ -138,6 +140,7 @@ libnss_nis-compat32
libogg-compat32
libpcap-compat32
libpng-compat32
+libppd-compat32
librsvg-compat32
libsamplerate-compat32
libsndfile-compat32
diff --git a/pkglists/x_base.lst b/pkglists/x_base.lst
index 07a6ab8..18ec260 100644
--- a/pkglists/x_base.lst
+++ b/pkglists/x_base.lst
@@ -23,6 +23,7 @@ cairo
cdrtools
compositeproto
cups
+cups-browsed
cups-filters
cxxopts
damageproto
@@ -153,6 +154,7 @@ libcanberra
libcap-ng
libclc
libcroco
+libcupsfilters
libdbusmenu
libdmx
libdrm
@@ -171,6 +173,7 @@ libinput
libiodbc
libmng
libmypaint
+libppd
librsvg
libsecret
libunwind
diff --git a/pkglists/z00_plasma5supp.lst b/pkglists/z00_plasma5supp.lst
index ff1b96b..d3b020d 100644
--- a/pkglists/z00_plasma5supp.lst
+++ b/pkglists/z00_plasma5supp.lst
@@ -133,6 +133,7 @@ taglib-extras
#vim
#vim-gvim
#vulkan-sdk
+wireplumber
woff2
xcb-util-cursor
xcb-util-errors